DateTime::getLastErrors
DateTime::getTimestamp
DateTime
PHP Manual

# DateTime::getOffset

(PHP 5 >= 5.2.0)

DateTime::getOffset — Returns the daylight saving time offset

### Description

public int DateTime::getOffset ( void )
int date_offset_get ( DateTime `$object` )

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

### Return Values

Returns DST offset in seconds on success or `FALSE` on failure.

### Examples

Example #1 Comparing offsets between Summer and Winter

`<?php
date_default_timezone_set('Europe/London');
$winter = new DateTime('2008-12-25 14:25:41');
$summer = new DateTime('2008-07-14 14:25:41');
echo $winter->getOffset(); // Winter offset: 0
echo $summer->getOffset(); // Summer offset: 3600 = 1 hour
?>`

DateTime::getLastErrors
DateTime::getTimestamp
DateTime
PHP Manual